@use '../../../../global/styles/utilities' as *;

@mixin medium() {
  --FONT-SIZE: var(--digi--link-button--font-size--medium);
  --PADDING: var(--digi--link-button--padding--medium);
  --ICON--MARGIN-LEFT: var(--digi--link-button--icon--margin-left);
  --BADGE--RIGHT: 1.75rem;
  --LINK--HEIGHT: #{rem(40)};
}

@mixin medium-large() {
  --FONT-SIZE: var(--digi--link-button--font-size--large);
  --PADDING: var(--digi--link-button--padding--medium-large);
  --ICON--MARGIN-LEFT: var(--digi--link-button--icon--margin-left);
  --BADGE--RIGHT: #{rem(40)};
  --LINK--HEIGHT: #{rem(50)};
}

@mixin large() {
  --FONT-SIZE: var(--digi--link-button--font-size--large);
  --PADDING: var(--digi--link-button--padding--large);
  --ICON--MARGIN-LEFT: var(--digi--link-button--icon--margin-left);
  --BADGE--RIGHT: #{rem(38)};
  --LINK--HEIGHT: #{rem(60)};
}

@mixin primary() {
  --COLOR--DEFAULT: var(--digi--link-button--color--primary--default);
  --COLOR--HOVER: var(--digi--link-button--color--primary--hover);
  --BACKGROUND--DEFAULT: var(--digi--link-button--background--primary--default);
  --BACKGROUND--HOVER: var(--digi--link-button--background--primary--hover);
  --BORDER-COLOR--DEFAULT: var(
    --digi--link-button--border-color--primary--default
  );
  --BORDER-COLOR--HOVER: var(--digi--link-button--border-color--primary--hover);
}

@mixin primary-alt() {
  --COLOR--DEFAULT: var(--digi--link-button--color--primary-alt--default);
  --COLOR--HOVER: var(--digi--link-button--color--primary-alt--hover);
  --BACKGROUND--DEFAULT: var(
    --digi--link-button--background--primary-alt--default
  );
  --BACKGROUND--HOVER: var(--digi--link-button--background--primary-alt--hover);
  --BORDER-COLOR--DEFAULT: var(
    --digi--link-button--border-color--primary-alt--default
  );
  --BORDER-COLOR--HOVER: var(
    --digi--link-button--border-color--primary-alt--hover
  );
}

@mixin secondary() {
  --COLOR--DEFAULT: var(--digi--link-button--color--secondary--default);
  --COLOR--HOVER: var(--digi--link-button--color--secondary--hover);
  --BACKGROUND--DEFAULT: var(
    --digi--link-button--background--secondary--default
  );
  --BACKGROUND--HOVER: var(--digi--link-button--background--secondary--hover);
  --BORDER-COLOR--DEFAULT: var(
    --digi--link-button--border-color--secondary--default
  );
  --BORDER-COLOR--HOVER: var(
    --digi--link-button--border-color--secondary--hover
  );
}

@mixin secondary-alt() {
  --COLOR--DEFAULT: var(--digi--link-button--color--secondary-alt--default);
  --COLOR--HOVER: var(--digi--link-button--color--secondary-alt--hover);
  --BACKGROUND--DEFAULT: var(
    --digi--link-button--background--secondary-alt--default
  );
  --BACKGROUND--HOVER: var(
    --digi--link-button--background--secondary-alt--hover
  );
  --BORDER-COLOR--DEFAULT: var(
    --digi--link-button--border-color--secondary-alt--default
  );
  --BORDER-COLOR--HOVER: var(
    --digi--link-button--border-color--secondary-alt--hover
  );
}
